com.fasterxml.jackson.dataformat.protobuf.schemagen

## Class EnumElementVisitor

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base
    - - com.fasterxml.jackson.dataformat.protobuf.schemagen.EnumElementVisitor

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor, com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor, TypeElementBuilder

      public class EnumElementVisitor
      extends com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base
      implements TypeElementBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor

      `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonStringFormatVisitor.Base`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumElementVisitor(com.fasterxml.jackson.databind.SerializerProvider provider, com.fasterxml.jackson.databind.JavaType type, DefinedTypeElementBuilders definedTypeElementBuilders, boolean isNested)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.squareup.protoparser.TypeElement` | `build()`
    `protected com.squareup.protoparser.EnumConstantElement` | `buildEnumConstant(String name)`
    `void` | `enumTypes(Set<String> enums)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base

      `format`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor

      `format`

- - ### Constructor Detail

    - #### EnumElementVisitor

          public EnumElementVisitor(com.fasterxml.jackson.databind.SerializerProvider provider,
                            com.fasterxml.jackson.databind.JavaType type,
                            DefinedTypeElementBuilders definedTypeElementBuilders,
                            boolean isNested)

  - ### Method Detail

    - #### build

          public com.squareup.protoparser.TypeElement build()

      Specified by:
        `build` in interface `TypeElementBuilder`

    - #### enumTypes

          public void enumTypes(Set<String> enums)

      Specified by:
        `enumTypes` in interface `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor`
      Overrides:
        `enumTypes` in class `com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormatVisitor.Base`

    - #### buildEnumConstant

          protected com.squareup.protoparser.EnumConstantElement buildEnumConstant(String name)

Copyright © 2016 FasterXML. All rights reserved.